- project:
    templates:
      - openstack-cover-jobs
    check:
      jobs:
        - openstack-tox-pep8
        - openstack-tox-py38
        - openstack-tox-py39
        - openstack-tox-py310
        - openstack-tox-py311
        - refstack-client-devstack-master:
            # Define a list of irrelevant files to use everywhere else
            irrelevant-files: &refstack-client-irrelevant-files
              - ^.*\.rst$
              - ^doc/.*$
              - ^.gitignore$
              - ^.gitreview$
        - refstack-client-devstack-master-fips-centos9:
            irrelevant-files: *refstack-client-irrelevant-files
        - refstack-client-devstack-2023-1:
            irrelevant-files: *refstack-client-irrelevant-files
        - refstack-client-devstack-zed:
            irrelevant-files: *refstack-client-irrelevant-files
        - refstack-client-devstack-yoga:
            irrelevant-files: *refstack-client-irrelevant-files
        - opendev-tox-docs
        - openstack-tox-py39
    gate:
      jobs:
        - openstack-tox-pep8
        - openstack-tox-py38
        - openstack-tox-py39
        - openstack-tox-py310
        - openstack-tox-py311
        - refstack-client-devstack-master:
            irrelevant-files: *refstack-client-irrelevant-files
        - refstack-client-devstack-2023-1:
            irrelevant-files: *refstack-client-irrelevant-files
        - refstack-client-devstack-zed:
            irrelevant-files: *refstack-client-irrelevant-files
        - refstack-client-devstack-yoga:
            irrelevant-files: *refstack-client-irrelevant-files
        - opendev-tox-docs
        - openstack-tox-py39
    promote:
      jobs:
        - opendev-promote-docs
